Subject: Re: [Tsvwg] sctp performance

From: Janardhan Iyengar <[email-masked]>
Date: Thu, 7 Oct 2004 11:41:03 -0400 (EDT)

Hi,

Just adding another pointer -

Sourabh Ladha had some (throughput) results on the KAME stack on FreeBSD
4.6 (TCP NewReno):
http://www.cis.udel.edu/~amer/PEL/poc/pdf/IPCCC2004-ladha.FTP.over.SCTP.pdf

regards,
jana

On Thu, 7 Oct 2004, Pawel Hadam wrote:

> (I am sorry for my previous, signed e-mail)
>
> Hi
>
>  > a) The CERN tests were done on an OLD OLD OLD version of lk-sctp which
>  >    was NOT performance tuned at all.. I am not even sure if they have
>  >    completed a pass yet of tuning.. I know its on their to-do list.
>
>
> I was working with linux kernel 2.6.7 with lkSCTP 1.0.1 and I obtained
> much better results.
>
>  >    I have always wanted to develop a variable message sender that could
>  >    send a sequence of variable messages and get a reading of messages
>  >    per second for various sizes....
>
>
> Sounds like my own testing apps. I wrote a sender and receiver that
> accept some customization parameters (message size, buffers).
>
> I wrote a raport about my measurements and experiments with lkSCTP on
> 1Gb network, but:
>
> 1) It is now being read by my supervisors.
> 2) It is in french :) - I really am sorry, it was written for a french
> project.
>
> Once the raport finished, I will, I hope, try to publish something in
> this subject.
>
> If anybody wants the french version, I may send him the PDF (there are a
> lot of pictures :))). Any comments are always welcome.
>
> Regards
> Pawel
>

---------------------------------------------------------------
Janardhan R. Iyengar           http://www.cis.udel.edu/~iyengar
Protocol Engineering Lab  --   CIS   --  University Of Delaware
---------------------------------------------------------------

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 7 Oct 2004 09:55:56 -0600

Janardhan,

Interesting: at 0% probability of loss, single homed KAME SCTP performed
poorer than TCP.  It looks like SCTP implementors still have something to
learn from TCP implementors in some cases.  SCTP wasn't really aimed
exclusively at greater than 3% message loss networks...  Signalling networks
normally have far better than 1ppm BER.

--brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

---

From: Randall Stewart <[email-masked]>
Date: Thu, 07 Oct 2004 13:17:15 -0400

> normally have far better than 1ppm BER.

Hmm..

The results are interesting.. but I think your 3% figure is a
bit off..

Thats only one of the many graphs present...

Some considerations of these results:

a) Netbsd does NOT apply maxburst in TCP. So this will
    definetly influence small transfers... and if you
    note the larger the transfer the less the difference
    between the graphs.. in fact the 1Meg transfer in the
    later pages looks like possibly SCTP in all cases did
    better instead of in 2 out of 3 cases as it did in all others.

b) Note that at ALL times if you use all of sctp .. multi-streaming
    etc. it does better.. it is only one of the 3 graphs that is slower
    in small transfers.

c) 2002 was about the time I was performance optimizing KAME.. which
    actually needs to have a second pass... so I am not really sure
    which version Sourabh was actually using...

d) Considering the very very little difference between TCP and SCTP
    even in these cases .. thats pretty darn good.. especially when
    you consider that the netbsd stack as been tweaked and tuned for
    at least 10 years... and KAME was about 1 - 1.5 years when Sourabh
    did this work... all in all I think the results quite positive :-D

Note to Salvatore: Yes KAME does have H-S TCP in it.. its a configurable
option when you compile it. And no I have no papers on any results since
my focus as been in other places then that :-0

R

-- 
Randall Stewart
ITD
803-345-0369 <or> 815-342-5222

---

From: "Paul D. Amer" <[email-masked]>
Date: Thu, 7 Oct 2004 14:13:22 -0400

Hello Brian:

> exclusively at greater than 3% message loss networks...  Signalling netwo=
> rks

A more important result is that by exploiting SCTP's multistreaming
mechanism (a feature unavailable with TCP), FTP over KAME SCTP
was able to perform the same or slightly better than TCP at 0%
loss, and increasingly much better as loss increases.

Thanks,
Paul

Paul D. Amer, Professor
CISC Graduate Admissions Committee, Chair
101C Smith Hall
University of Delaware
Newark, DE  19716-2586
(302) 831-1944 (office)
(302) 831-8458 (fax)
http://www.cis.udel.edu/~amer/